/* cursed.h - partial (dumb) replacement for curses */

/* Written 1993 by Werner Almesberger */


#ifndef CURSED_H_
#define CURSED_H_

#include <stdio.h>


#undef printw
#define printw printf


extern int LINES,COLS;


void clear(void);
void clrtoeol(void);
void standout(void);
void standend(void);
void move(int y,int x);
void refresh(void);
void initscr(void);
void noecho(void);
void raw(void);
void echo(void);
void noraw(void);
void endwin(void);
int getch(void);

#endif
