/* output.h - generate output files */

/* Written 1993 by Werner Almesberger */


#ifndef OUTPUT_H_
#define OUTPUT_H_

#include "descr.h"


const char *out_tree(void);

/* Writes the configuration to the following files:
     CONFIG_OUTPUT	snapshot of all variables (for later reuse)
     MAKE_OUTPUT	variables for make
     LISTS_OUTPUT	.c file containing lists
     DEFAULT_OUTPUT	default header file, if config description doesn't
			provide output file names
   Returns either the NULL pointer on success or a pointer to a static area
   containing an error message. */

#endif
