#
# test/1/config.dsc - simple load/save test
#

# top-level items
yesno YN1 "Yes No 1":yn1
yesno YN2 'Yes No 2':yn2 *
number N1 "Number 1" (1,10)
number N2 "Number 2" (5:3,8)
choice C1 "Choice 1" (*c1a:1,c1b,c1c)
choice C2 "Choice 2" (*c2a=C2A,c2b=C2B,c2c=C2C)
set S1 "Set 1" (s1a,s1b,s1c)
set S2 "Set 2" (*s1a=S1A,s1b=S1B,*s1c=S1C)

# unconditional section

title T1 {
    yesno YN3 "Yes No 3"
    yesno YN4 "Yes No 4" *
}

# choice sections

choice C3 "Choice 3" (
    1 {
	yesno YN5 "Yes No 5"
	yesno YN6 "Yes No 6"*
    },
    *2 {
	yesno YN7 "Yes No 7"
    },
    3 {
	choice C4 "Choice 4" (
	    A,B,*C
	)
    }
)

# set sections

set S3 "Set 3":"s3" (
    1,*2,3,*four=4 {
	yesno "Yes No 8"
	number "Number 3" (0,1)
	choice "Choice 6" (*x,y,z)
    }
)

# nested set sections

set S4 "Set 4" (
    *A {
	yesno "Yes No 9" *
	choice "Choice 6" (
	    *1,2,3
	)
    },
    B {
	set "Set 5" (
	    1,2,3 {
		yesno "Yes No 10"
	    }
	)
    }
)
