/* kconf.h - Linux kernel configurator */

/* Written 1993 by Werner Almesberger */


#ifndef KCONF_H_
#define KCONF_H_

#include "descr.h"


extern const char *config_output; /* name of the configuration output file */
extern const char *make_output; /* name of the make variables file */
extern const char *default_output; /* name of the default config header */
extern int no_new; /* new entries are not marked if this is non-zero */


void full_screen(ITEM *root);

/* Edit the configuration data in full-screen mode. ROOT points to the root of
   the tree. */

void line_mode(ITEM *root);

/* Like full-screen, but operates in line mode. */

#endif
